/**
 * Remove comments (except conditional comments).
 *
 * @param {Options | null | undefined} [options]
 *   Configuration (optional).
 * @returns
 *   Transform.
 */
export default function rehypeRemoveComments(options?: Options | null | undefined): (tree: Root) => undefined;
export type Root = import('hast').Root;
/**
 * Configuration.
 */
export type Options = {
    /**
     * Remove conditional comments (default: `false`); the default is to leave
     * them.
     */
    removeConditional?: boolean | null | undefined;
};
